org.apache.cassandra.cql3

## Interface AssignmentTestable

All Known Subinterfaces:
  AggregateFunction, Function, ScalarFunction, Selectable

All Known Implementing Classes:
  AbstractCompositeType, AbstractFunction, AbstractMarker.INRaw, AbstractMarker.MultiColumnRaw, AbstractMarker.Raw, AbstractType, AsciiType, BooleanType, BytesType, ByteType, CollectionType, ColumnDefinition, ColumnToCollectionType, CompositeType, Constants.Literal, CounterColumnType, DateType, DecimalType, DoubleType, DurationType, DynamicCompositeType, EmptyType, FloatType, FromJsonFct, FrozenType, FunctionCall.Raw, InetAddressType, Int32Type, IntegerType, JavaBasedUDFunction, LexicalUUIDType, Lists.Literal, ListType, LongType, Maps.Literal, MapType, NativeAggregateFunction, NativeFunction, NativeScalarFunction, PartitionerDefinedOrder, ReversedType, Selectable.WithCast, Selectable.WithFieldSelection, Selectable.WithFunction, Selectable.WithTerm, Selectable.WithToJSonFunction, Selectable.WritetimeOrTTL, Sets.Literal, SetType, ShortType, SimpleDateType, Term.MultiColumnRaw, Term.Raw, TimestampType, TimeType, TimeUUIDType, ToJsonFct, TokenFct, Tuples.INRaw, Tuples.Literal, Tuples.Raw, TupleType, TypeCast, UDAggregate, UDFunction, UserType, UserTypes.Literal, UTF8Type, UUIDType

    public interface AssignmentTestable

### Nested Class Summary

Nested Classes
`static class` `AssignmentTestable.TestResult`

### Method Summary

All Methods Instance Methods Abstract Methods
`AssignmentTestable.TestResult` `testAssignment(java.lang.String keyspace, ColumnSpecification receiver)`

### Method Detail

#### testAssignment

    AssignmentTestable.TestResult testAssignment(java.lang.String keyspace,
                                                 ColumnSpecification receiver)

Returns:
  whether this object can be assigned to the provided receiver. We distinguish between 3 values: - EXACT_MATCH if this object is exactly of the type expected by the receiver - WEAKLY_ASSIGNABLE if this object is not exactly the expected type but is assignable nonetheless - NOT_ASSIGNABLE if it's not assignable Most caller should just call the isAssignable() method on the result, though functions have a use for testing "strong" equality to decide the most precise overload to pick when multiple could match.